# $Revision: 1.20.2.1 $, $Date: 2007/03/12 13:08:13 $
Summary:	GNOME program for creating CDs
Summary(pl):	Program dla GNOME do nagrywania pyt CD
Name:		gnomebaker
Version:	0.6.0
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
#http://mesh.dl.sourceforge.net/sourceforge/gnomebaker/gnomebaker-0.6.0.tar.gz
Source0:	http://dl.sourceforge.net/gnomebaker/%{name}-%{version}.tar.gz
# Source0-md5:	351363497017121d3a1d43b0e3a0f515
Patch0:		%{name}-desktop.patch
URL:		http://gnomebaker.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,postun):	scrollkeeper
Requires:	gstreamer-gnomevfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnomeBaker is a GNOME CD burning application.

%description -l pl
GnomeBaker jest programem dla GNOME do nagrywania CD.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
# these seem to be more up-to-date
cp -f po/es{_ES,}.po
# this one is not so obvious...
# cp -f po/sv{_SE,}.po
rm -f po/*.gmo

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-libnotify
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gnomemenudir=%{_desktopdir} \
	gnomebakerdoc_DATA=""

install pixmaps/gnomebaker-48.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/gnomebaker.png

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{es_ES,fr_FR,sv_SE,de_CH,es_CO,es_CR,eu_ES,fr_CH,it_IT,nb,nl,pt_PT,zh,de_DE} #FIXME
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nl{_NL,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%banner %{name} -e << EOF
Suggested packages for use with Gnomebaker:
for CD recording
- cdrdao
- cdrtools
- cdrtools-cdda2wav
- cdrtools-mkisofs
- cdrtools-readcd
- dvd+rw-tools
for operations on audio files
- gstreamer-flac
- gstreamer-mad
- gstreamer-vorbis
EOF

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomebaker.spec,v $
Revision 1.20.2.1  2007/03/12 13:08:13  hawk
- release 1

Revision 1.20  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.19  2006/09/21 20:25:16  teodor
- up to 0.6.0
- rel 0.1, NFY

Revision 1.18  2006/07/26 14:37:22  havner
- pack gnome docs
- enable libnotify

Revision 1.17  2006/07/10 23:31:55  aredridel
- 20060710
- gstreamer 0.10 deps

Revision 1.16  2006/06/06 12:25:53  qboosh
- gstreamer08x deps (merged from AC-branch)

Revision 1.15  2006/03/01 01:30:33  patrys
- up to 0.5.1
- not tested yet

Revision 1.14  2005/10/16 14:31:03  freetz
- 0.5.0

Revision 1.13  2005/08/22 15:19:12  pawcioos
- updated to 0.4.2

Revision 1.12  2005/08/16 15:10:39  freetz
- 0.4.1, updated banner, R: gst-gnomevfs, cleanup

Revision 1.11  2005/08/13 19:32:12  qboosh
- kill no locale, release 2

Revision 1.10  2005/07/17 19:03:31  dzeus
- proper URL

Revision 1.9  2005/07/17 08:54:18  freetz
- 0.4, updated BRs, source url changed to sf.net

Revision 1.8  2005/06/12 00:16:42  ankry
- locale fixes, rel. 4

Revision 1.7  2005/04/13 20:56:55  freetz
- new style macros, requirements removed (and added to banner), rel.3

Revision 1.6  2005/04/06 08:53:11  paladine
- run scrollkeeper-update in quiet mode
- license unification
- small cleanup in %%files
- rel. 2

Revision 1.5  2005/03/19 15:48:14  freetz
- finished "upgrade": langs, omf scrollkeeper pre/post update

Revision 1.4  2005/03/15 23:11:21  pawcioos
- updated to 0.3

Revision 1.3  2004/12/22 01:30:20  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.2  2004/11/28 12:43:56  qboosh
- BR: libtool

Revision 1.1  2004/11/28 12:36:20  freetz
- initial
